require 'json'

config_file = File.read('./poasterConfig.json')
config_data = JSON.parse(config_file)

post_type_radiolist_prefix = %Q[kdialog  --title "Poaster" --radiolist "Select a post type:"]

def build_radiolist_command(prefix_string, config_data)
	command_string = prefix_string
	config_data['postTypes'].each_with_index do |type, i|
		command_string += %Q[ #{i+1} "#{type['name']}" off]
	end
	return command_string
end

`#{build_radiolist_command(post_type_radiolist_prefix, config_data)}`
